Subject: Re: bash: ./myscript: No such file or directory. TMP variableis being unset
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Guy T. Moore Jr." <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 28 Sep 2000 14:17:27 -0400

At 01:56 PM 9/28/2000, Guy T. Moore Jr. wrote:

>"Larry Hall (RFK Partners, Inc)" wrote:
>
> > >I'd rather get it to work the way it does on Solaris 5.7 in a bourne shell or csh
> > >without using any work arounds.
> > >
> > >This problem is preventing other simple things from working correctly.
> > 
> > Your scripts aren't "portable", although that's your choice!;-)  If you
> > are running on NT-based systems with NTFS file systems, you can set "ntsec"
> > in your CYGWIN environment variable and then use "chmod +x <file>" (please
> > read the documentation on how ntsec works though).  Alternatively, you can
> > use "ntea" on NT-based systems on either NTFS or FAT drives, as long as you
> > don't mind a large "EA DATA. SF" file in the root of all the FAT drives!;-)
> > If you use "ntea", you can use chmod as well.  Otherwise, you need to let
> > Cywgin know this is a script by adding the #!/bin/sh line or invoking it
> > with the shell.  Those are your current options.
>
>
>My C: drive where I am doing the test is an NTFS partition.
>thus, I do have CYGWIN set properly:
>CYGWIN="binmode ntea"   ( I am using ntea, cause I eventually will be trying to do this on
>SAMBA-like partitions)
>I have done `chmod 777 myscript`.
>
>No luck
>
>Can you get this to work on your PC without adding the #!/bin/sh line nor invoking it
>  with the shell?
>

I've used it before and its worked fine.  Can't get more explicit at the 
moment since I don't have access to the machine with Cygwin at this time.
I assume you set CYGWIN before starting any Cygwin process, right?

You may also want to take a look at the FAQ reference below.  It pretty 
much says what I said, but with more details.

http://sources.redhat.com/cygwin/faq/faq.html#SEC37

--
Want to unsubscribe from this list?
Send a message to [email-masked]